
#ifndef BL_TOOLS_H_
#define BL_TOOLS_H_

#include <stdint.h>
#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif

uint32_t bl_getCRC32(uint32_t* pData, uint32_t n32BitValues);
uint16_t bl_getCRC16(uint8_t* pData, uint32_t n16BitValues);

void bl_getCRC32_init(uint32_t* pWorkRegister);
void bl_getCRC32_aWord(uint32_t* pWorkRegister, uint32_t aWord);
void bl_getCRC32_done(uint32_t* pWorkRegister);

#ifdef __cplusplus
}
#endif




#endif /* BL_TOOLS_H_ */
